%define		modname		yp
%define		status		beta
%define		php_name	php%{?php_suffix}
Summary:	%{modname} - YP/NIS functions
Summary(pl.UTF-8):	%{modname} - klient YP/NIS dla PHP
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.1
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	6c57bf144d1bb8c4aca5309cc4281407
URL:		http://pecl.php.net/package/yp/
BuildRequires:	%{php_name}-devel >= 4:5.3.0
BuildRequires:	libnsl-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(yp)
Obsoletes:	php-pecl-yp < 1.0.0-0.RC1.1
Obsoletes:	php-yp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NIS (formerly called Yellow Pages) allows network management of
important administrative files (e.g. the password file).

%description -l pl.UTF-8
Moduł PHP dodający obsługę NIS (Yellow Pages).

%prep
%setup -qc
%{__mv} %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Aug 30 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-yp.git;a=log;h=auto/th/php-pecl-yp-1.0.1-1

* Sun Aug 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 240056e
- updated to 1.0.1 release
- build with libnsl 1.x

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> a653ce7
- obsolete old php name
- release 2 (by relup.sh)

* Tue Apr 29 2014 Elan Ruusamäe <glen@delfi.ee> 4654313
- up to 1.0.0RC1, minimum PHP is 5.3

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> b0cce41
- php 5.5 rebuild
- release 8 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> dc98833
- support building for multiple php versions

* Fri Aug 24 2012 Elan Ruusamäe <glen@delfi.ee> 8c44c44
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> f61113e
- release 6 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f07258
- release 5

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 6bd7bb7
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b327ee3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 52d904d
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 012045b
- use new php extension related macros

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> 335c582
- rel 3 (php 5.2.0)

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 5f03d49
- rel 2: add Provides: php(%{_modname})

* Fri Nov 03 2006 Elan Ruusamäe <glen@pld-linux.org> 1f3a05a
- BR rpmmacros for fixed %requires_php_extension

* Wed Jan 04 2006 Jan Rękorajski <baggins@pld-linux.org> 92e80f9
- initial revision

